Stampfactory
Dokumentation
Dienstplan-Vorlagen

Vorlage erstellen

POST
/roster_templates
AuthentifizierungBearer <token>

Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).

Ort: header

Request-Body

application/json

TypeScript-Definitionen

TypeScript-Typ für request body.

Response-Body

application/json

application/json

application/json

curl -X POST "https://example.com/roster_templates" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "cycle_length_weeks": 1,    "pattern": {      "groups": [        {          "name": "string",          "pattern": [            {              "week": 1,              "entries": [                {                  "weekday": 1                }              ]            }          ]        }      ]    }  }'
{  "data": {    "id": "string",    "name": "string",    "kind": "string",    "cycle_length_weeks": "string",    "pattern": "string",    "unit_id": "string",    "group_count": 0,    "entries_count": 0  }}